Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1565171 - Cannot create or edit report secondary (display) filter
Summary: Cannot create or edit report secondary (display) filter
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: GA
: 5.10.0
Assignee: Harpreet Kataria
QA Contact: Niyaz Akhtar Ansari
URL:
Whiteboard:
Depends On:
Blocks: 1578400
TreeView+ depends on / blocked
 
Reported: 2018-04-09 14:32 UTC by Saif Ali
Modified: 2019-02-11 14:04 UTC (History)
6 users (show)

Fixed In Version: 5.10.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1578400 (view as bug list)
Environment:
Last Closed: 2019-02-11 14:04:51 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)

Description Saif Ali 2018-04-09 14:32:01 UTC
Description of problem:
I'm trying to customize the "Images by Failed OpenSCAP Rule Results" report. I copied it and I'm trying to edit the secondary (display) filter. This report already has a secondary filter, but when I edit the copied report and switch to the Filters tab, CloudForms does not show the current secondary filter. Instead, it shows a "Create Display Filter" button. When I click that button, the animated circle and gray background comes up for a second, disappears and nothing changes in the browser window. 


Version-Release number of selected component (if applicable):
Version 5.9.0.22

How reproducible:


Steps to Reproduce:
1.Create report based on container images
2. Select some fields for the report
3. ON the filter tab add primary filter 
4. Add secondary filter 
5. try to edit the secondary filter.

Actual results:
No change happen to the filter

Expected results:
to edit the filter

Additional info:
When you click on edit the secondary filter nothing is happening.

Comment 4 CFME Bot 2018-04-11 09:52:25 UTC
New commit detected on ManageIQ/manageiq-ui-classic/master:

https://github.com/ManageIQ/manageiq-ui-classic/commit/15f915febe155ff47ffad06c5102fac42edf017a
commit 15f915febe155ff47ffad06c5102fac42edf017a
Author:     Harpreet Kataria <hkataria@redhat.com>
AuthorDate: Tue Apr 10 14:54:49 2018 -0400
Commit:     Harpreet Kataria <hkataria@redhat.com>
CommitDate: Tue Apr 10 14:54:49 2018 -0400

    Fixed Secondary filter to be added/edited correctly.

    - Fixed alignment of Haml code.
    - Passing in a local variable to form_expression_button view to be used as an button action and also to load/display correct primary/secondary filter

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1565171

 app/views/report/_form_expression_buttons.html.haml | 4 +-
 app/views/report/_form_filter.html.haml | 34 +-
 spec/views/report/_form_expression_buttons.html.haml_spec.rb | 6 +-
 3 files changed, 24 insertions(+), 20 deletions(-)

Comment 6 Niyaz Akhtar Ansari 2018-07-25 11:49:41 UTC
Verified in Version 5.10.0.4.20180712211305_e6e4542


Note You need to log in before you can comment on or make changes to this bug.